<div class="col-md-3 left_col" id="sidebarpane">
    <div class="left_col scroll-view">

        <div class="navbar nav_title" style="border: 0;">
            {% load static %}
            <a class="site_title" href={% url 'dashboard' %}>
                <img src="{% static "img/gctw.png" %}" width="40" height="48" alt="gct image"/>
                <span>GCT PORTAL</span>
            </a>
        </div>
        <div class="clearfix"></div>
        <!--profile to be inserted here @todo
               <div class="profile"><
                   <div class="profile_pic">
                       <img src="images/img.jpg" alt="..." class="img-circle profile_img">
                   </div>
                   <div class="profile_info">
                       <span>Welcome,</span>
                       <h2>Anthony Mutisya</h2>
                   </div>
               </div> -->

        <br>


        <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">

            {% if request.session.courses_offered or perms.curriculum.can_mark_attendance or perms.curriculum.can_view_weekly_report or perms.curriculum.can_view_overall_reports %}
                <div class="menu_section">
                    <h3>ATTENDANCE</h3>
                    <ul class="nav side-menu">

                        {% if request.session.courses_offered %}

                            <li><a><i class="fa fa-check-square-o"></i>Today's attendance<span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    {% for courses in request.session.courses_offered %}
                                        <li>
                                            {% if courses.bulk == False %}
                                                <a href={% url 'attendance' semester_pk=courses.semester course_id=courses.course_id hour=courses.start_hour attendance_date=courses.date %}>{{ courses.course_name }}
                                                    ( hour {{ courses.start_hour }} ) [ {{ courses.department_acronym }}
                                                    ]</a>
                                            {% else %}
                                                <a href={% url 'bulk_attendance' semester_pk=courses.semester course_id=courses.course_id attendance_date=courses.date start_hour=courses.start_hour end_hour=courses.end_hour %}>{{ courses.course_name }}
                                                    ( hour {{ courses.start_hour }} - {{ courses.end_hour }} )
                                                    [ {{ courses.department_acronym }} ]</a>
                                            {% endif %}
                                        </li>
                                    {% endfor %}
                                </ul>
                            </li>

                        {% endif %}
                        {% if perms.curriculum.can_mark_attendance %}

                            <li><a><i class="fa fa-exclamation-triangle"></i>Pending attendances<span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href={% url 'mark_pending_attendances' %}>Mark Pending Attendances</a></li>
                                </ul>
                            </li>
                        {% endif %}


                        {% if perms.curriculum.can_view_weekly_report %}

                            <li><a><i class="fa fa-file-o"></i>Attendance Report<span class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    {% if perms.curriculum.can_view_weekly_report %}
                                        <li><a href={% url 'weekly_attendance_report' %}>Weekly report</a></li>
                                        <li><a href={% url 'consolidated_attendance_report' %}>Consolidated report</a>
                                        </li>
                                        <li><a href={% url 'custom_attendance_report' %}>Custom report</a></li>
                                        <li><a href={% url 'consolidated_attendance_conduct_report' %}>Consolidated
                                            conduct report</a></li>
                                    {% endif %}
                                </ul>

                            </li>

                        {% endif %}
                        
                        {% if perms.curriculum.can_view_weekly_report %}

                            <li><a><i class="fa fa-file-o"></i>Attendance lookup<span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href={% url 'consolidated_attendance_lookup' %}>Consolidated
                                        lookup</a></li>
                                    <li><a href={% url 'custom_attendance_lookup' %}>Custom lookup</a></li>    
                                    
                                </ul>

                            </li>

                        {% endif %}


                        {% if perms.curriculum.can_view_overall_reports %}

                            <li><a><i class="fa fa-file-o"></i>Overall Reports<span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href={% url 'overall_weekly_attendance_report' %}>Weekly report</a></li>
                                    <li><a href={% url 'overall_consolidated_attendance_report' %}>Consolidated
                                        report</a></li>
                                    <li><a href={% url 'consolidated_attendance_2012_report' %}>Consolidated 2012
                                        report</a></li>
                                    {#                                    <li><a href={% url 'overall_custom_attendance_report' %}>Custom report</a></li>#}
                                </ul>

                            </li>

                        {% endif %}

                        {% if perms.curriculum.can_mark_attendance %}

                            <li><a><i class="fa fa-file-o"></i>Flexi-Attendance<span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href={% url 'mark_flexi_attendance' %}>Mark Flexi-Attendance</a></li>
                                    <li><a href={% url 'view_flexi_marked_attendance' %}>View Flexi-Marked</a></li>
                                    <li><a href={% url 'view_flexi_attendance_requests' %}>View Flexi-Attendance
                                        Requests</a></li>
                                </ul>

                            </li>

                        {% endif %}

                        {% if perms.curriculum.can_reallow_attendance %}

                            <li><a><i class="fa fa-file-o"></i>Re-enable Attendance<span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href={% url 'reallow_attendance_requests' %}>Re-enable Requests</a></li>
                                    <li><a href={% url 'reallow_attendance' %}>Manually re-enable</a></li>
                                </ul>
                            </li>

                        {% endif %}

                        {% if perms.curriculum.can_split_batch %}

                            <li><a><i class="fa fa-check-square-o"></i>Lab Batch Settings<span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li>
                                        <a href="{% url 'add_lab_batch' %}">Split Students</a>
                                    </li>
                                </ul>
                            </li>

                        {% endif %}

                    </ul>


                </div>
            {% endif %}

            <div class="menu_section">
                <h3>Wi-Fi</h3>
                <ul class="nav side-menu">
                    <li><a><i class="fa fa-wifi"></i>GCT Wi-Fi<span class="fa fa-chevron-down"></span></a>
                        <ul class="nav child_menu">
                            <li><a href={% url 'apply_wifi' %}>My Wi-Fi Account</a></li>
                            {% if perms.wifi.can_approve_wifi_users %}
                                <li><a href={% url 'approve_wifi' %}>Approve Wifi</a></li>
                                <li><a href={% url 'approve_change_mac' %}>Change MAC requests</a></li>
                                <li><a href={% url 'empty_mac' %}>Invalid MAC</a></li>
                                <li><a href={% url 'fix_missing_logon_name' %}>Invalid Logon</a></li>
                                <!--<li><a href={% url 'no_of_group_accounts' %}>No. of Group Accounts</a></li>-->
                                <!---<li><a href={% url 'empty_mac' %}>No. of User Accounts</a></li>-->
                                <li><a href={% url 'active_directory_settings' %}>Active Directory settings</a></li>
                            {% endif %}
                           {% if perms.wifi.can_approve_wifi_staff %}
                                <li><a href={% url 'approve_only_wifi' %}>Approve Wifi</a></li>
                                <li><a href={% url 'change_only_mac' %}>Change MAC requests</a></li>
                           {% endif %}
                        </ul>
                    </li>
                </ul>
            </div>

            {% if perms.marks.can_add_internal_marks or perms.curriculum.can_choose_courses or perms.curriculum.can_view_overall_reports %}
                <div class="menu_section">
                    <h3>Feedback</h3>
                    <ul class="nav side-menu">
                        <li><a><i class="fa fa-book"></i> Feedbacks <span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                {% if perms.enrollment.can_enroll_students %}
                                    <li><a href={% url 'viewFeedbackFormat' %}>Feedback Format</a></li>
                                {% endif %}
                                {% if perms.curriculum.can_view_overall_reports or perms.marks.can_add_internal_marks %}
                                    <li><a href={% url 'feedbackReports' %}>Feedback Reports</a></li>
                                {% endif %}
                                {% if perms.curriculum.can_choose_courses %}
                                    <li><a href={% url 'doFeedback' %}>Provide Feedback</a></li>
                                {% endif %}
                            </ul>
                        </li>
                    </ul>
                </div>
            {% endif %}

            {% if perms.marks.can_add_internal_marks or perms.quiz.can_attend_quiz or perms.marks.can_view_overall_reports %}
                <div class="menu_section">
                    <h3>Quiz / Assignment</h3>
                    <ul class="nav side-menu">
                        <li><a><i class="fa fa-trophy"></i> Quiz <span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                {% if perms.marks.can_add_internal_marks %}
                                    <li><a href={% url 'setQuiz' %}>Set Quiz Pattern</a></li>
                                    <li><a href={% url 'pushQuizToInternals' %}>Add Quiz Marks to Internals</a></li>
                                    <li><a href={% url 'quizReports' %}>Quiz Reports</a></li>
                                {% elif perms.curriculum.can_view_overall_reports %}
                                    <li><a href={% url 'quizReports' %}>Quiz Reports</a></li>
                                {% endif %}
                                {% if perms.quiz.can_attend_quiz %}
                                    <li><a href={% url 'quizView' %}>Available Quiz</a></li>
                                {% endif %}
                            </ul>
                        </li>
                    </ul>
                    <ul class="nav side-menu">
                        <li><a><i class="fa fa-pencil-square-o"></i> Assignment <span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                {% if perms.marks.can_add_internal_marks %}
                                    <li><a href={% url 'addAssignment' %}>Post Assignment</a></li>
                                {% endif %}
                                {% if perms.quiz.can_attend_quiz %}
                                    <li><a href={% url 'viewAssignments' %}>View Assignments</a></li>
                                {% endif %}
                            </ul>
                        </li>
                    </ul>

                </div>
            {% endif %}

            <!--
            {% if perms.hostel.can_enter_fee or perms.hostel.can_view_own_fee %}
                <div class="menu_section">
                    <h3> GCT HOSTEL </h3>

                    <ul class="nav side-menu">
                        {% if perms.hostel.can_enter_fee %}

                            <li><a><i class="fa fa-university"></i> Manage Hostel<span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href={% url 'add_duration' %}>Add Duration</a></li>
                                    <li><a href={% url 'common_rates' %}>Common Rates</a></li>
                                    <li><a href={% url 'fee_details' %}>Mess Bill</a></li>
                                </ul>
                            </li>

                        {% elif perms.hostel.can_view_own_fee %}
                            <li><a><i class="fa fa-university"></i>Hostel<span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href={% url 'view_my_mess_bill' %}>View Mess Bill</a></li>
                                </ul>
                            </li>
                        {% endif %}

                    </ul>
                </div>
            {% endif %}
            -->

            {% if perms.accounts.can_allot_hod or perms.accounts.can_allot_first_year_managing_department %}
                <div class="menu_section">
                    <h3> College </h3>

                    <ul class="nav side-menu">

                        <li><a><i class="fa fa-university"></i> Manage College<span
                                class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li><a href={% url 'allotHod' %}> Allot HOD </a></li>
                                {% if perms.accounts.can_allot_first_year_managing_department %}
                                    <li><a href={% url 'first_year_settings' %}> Allot First Year Chief </a></li>
                                {% endif %}
                                {% if perms.accounts.can_allot_coe %}
                                    <li><a href={% url 'allot_coe' %}> Allot COE </a></li>
                                {% endif %}
                            </ul>

                        </li>

                    </ul>
                </div>
            {% endif %}

            {% if perms.curriculum.can_view_enrollment_details %}
                <div class="menu_section">
                    <h3> COE </h3>
                    <ul class="nav side-menu">
                        <li><a><i class="fa fa-pencil"></i> Regulation <span
                                class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li><a href={% url 'add_regulation_to_db' %}> Create Regulation </a></li>
                                <!--<li><a href={% url 'viewbugreport' %}> View Comments </a></li>-->
                            </ul>
                        </li>
                    </ul>
                </div>
            {% endif %}

            {% if perms.curriculum.can_create_semester_plan %}
                <div class="menu_section">
                    <h3> System Addups </h3>
                    <ul class="nav side-menu">
                        <li><a><i class="fa fa-pencil-square-o"></i> Courses <span
                                class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li><a href={% url 'add_course_to_db' %}>Add Courses</a></li>
                            </ul>
                        </li>
                    </ul>
                </div>
            {% endif %}

            <div class="menu_section">
                <h3>Curriculum</h3>

                <ul class="nav side-menu">
                    {% if perms.curriculum.can_assign_programme_coordinator or perms.curriculum.can_split_sections %}
                        <li><a><i class="fa fa-university"></i>Department<span class="fa fa-chevron-down"></span></a>

                            <ul class="nav child_menu">
                                {% if perms.curriculum.can_assign_programme_coordinator %}
                                    <li><a href={% url 'assign_programme_ordinator' %}>Assign programme coordinator</a>
                                    </li>
                                {% endif %}
                                {% if perms.curriculum.can_split_sections %}
                                    <li><a href={% url 'set_no_of_sections' %}>Section Settings</a></li>
                                {% endif %}
                            </ul>
                        </li>
                    {% endif %}
                    {% if perms.enrollment.can_view_enrollment_details or perms.enrollment.can_enable_courses or perms.enrollment.can_enroll_students %}
                        <li><a><i class="fa fa-th-list"></i>Enrollment/Registration<span
                                class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                {% if perms.enrollment.can_enroll_students %}
                                    <li><a href={% url 'enroll_students' %}>Enroll Students</a></li>
                                {% endif %}
                                {% if perms.enrollment.can_enable_courses %}
                                    <li><a href={% url 'enable_courses' %}>Enable courses</a></li>

                                {% endif %}
                                {% if perms.enrollment.can_view_enrollment_details %}
                                    <li><a href={% url 'enrollmentReport' %}>Enrollment Details</a></li>
                                    <li><a href={% url 'registrationReport' %}>Registration Details</a></li>
                                {% endif %}
                            </ul>
                        </li>
                    {% endif %}
                    {% if perms.curriculum.can_create_semester_plan %}
                        <li><a><i class="fa fa-edit"></i>Semester Plan<span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li><a href={% url 'semester_plan' %}>Create Semester Plan</a></li>
                                <li><a href={% url 'forceTimetableSlot' %}>Change TimeTable Slot</a></li>
                                {#                                <li><a href={% url 'courses_for_enrollment' %}>Offer enrollment courses</a></li>#}
                                <li><a href={% url 'migrate_semesters' %}>Semester migrations</a></li>
                            </ul>
                        </li>
                    {% endif %}
                    {% if perms.curriculum.can_choose_courses %}

                        <li><a><i class="fa fa-edit"></i>Manage My Courses<span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li><a href={% url 'select_courses' %}>Current Semester Courses</a></li>
                                {#                                <li><a href={% url 'select_courses_next_semester' %}>Next Semester Courses</a></li>#}
                            </ul>
                        </li>

                        <li><a><i class="fa fa-graduation-cap"></i>My Marks<span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li><a href={% url 'student_internal_marks' %}>View Internal Marks</a></li>
                                <li><a href={% url 'studentCoMark' %}>View CO Marks</a></li>
                            </ul>
                        </li>

                    {% endif %}


                    {% if perms.curriculum.can_create_timetable or perms.curriculum.can_view_timetable or perms.curriculum.can_view_timetable_of_his_batch %}

                        <li><a><i class="fa fa-table"></i>Timetable<span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                {% if perms.curriculum.can_create_timetable %}
                                    <li><a href={% url 'create_timetable' %}>Create Time Table</a></li>

                                    <li><a href={% url 'view_timetable' %}>View Time Table</a></li>
                                    <li><a href={% url 'view_my_timetable' %}>View My Time Table</a></li>
                                {% elif perms.curriculum.can_view_timetable %}
                                    <li><a href={% url 'view_timetable' %}>View Time Table</a></li>
                                    <li><a href={% url 'view_my_timetable' %}>View My Time Table</a></li>
                                {% elif perms.curriculum.can_view_timetable_of_his_batch %}
                                    <li><a href={% url 'view_timetable' %}>View Time Table</a></li>
                                {% endif %}
                            </ul>
                        </li>
                    {% endif %}

                    {% if perms.curriculum.can_create_timetable or perms.curriculum.can_allot_open_courses_staffs %}
                        <li><a><i class="fa fa-user"></i>Manage Staffs<span
                                class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li><a href={% url 'allotStaff' %}>Allot Staffs</a></li>
                                {#                                <li><a href={% url 'split_staff_course' %}>Split Staff/course</a></li>#}
                                <li><a href={% url 'prepare_open_course_staffs' %}>Allot Open Course Staffs</a></li>
                            </ul>
                        </li>
                    {% endif %}

                    {% if perms.curriculum.can_create_ut_timetable %}

                        <li><a><i class="fa fa-table"></i>UT Timetable<span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li><a href={% url 'create_unit_test_timetable' %}>Create Timetable</a></li>
                            </ul>
                        </li>
                    {% endif %}

                    {% if perms.curriculum.can_approve_students_for_courses %}
                        <li><a><i class="fa fa-thumbs-up"></i> Course Approval <span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                {% if perms.curriculum.can_approve_students_for_courses %}
                                    <li><a href={% url 'approve_courses' %}>Approve Registration</a></li>
                                    <li><a href={% url 'deapprove_courses' %}>Deapprove Registration</a>
                                    </li>
                                {% endif %}
                            </ul>
                        </li>
                    {% endif %}

                    {% if perms.accounts.can_issue_onduty or perms.accounts.can_request_onduty %}

                        <li>
                            <a><i class="fa fa-black-tie"></i> On-duty <span
                                    class="fa fa-chevron-down"></span></a>
                            {% if perms.accounts.can_issue_onduty %}
                                <ul class="nav child_menu">
                                    <li><a href={% url 'grandod' %}> Grant Full day OD </a></li>
                                    <li><a href={% url 'grandhourlyod' %}> Grant Hourly OD </a></li>
                                    <li><a href={% url 'bulkod' %}> Grant Bulk OD </a></li>
                                    <li><a href={% url 'bulk_hourly_od' %}> Grant Bulk Hourly OD </a></li>
                                    <li><a href="{% url 'viewodrequests' %}"> View Requested ODs </a></li>
                                    <li><a href="{% url 'viewondutys' %}"> Issued ODs </a></li>
                                </ul>
                            {% endif %}
                            {% if perms.accounts.can_request_onduty %}
                                <ul class="nav child_menu">
                                    <li><a href={% url 'request_od' %}> Request OD </a></li>
                                    <li><a href="{% url 'viewmyodrequest' %}"> View Requested ODs </a></li>
                                    <li><a href="{% url 'mygrantedod' %}"> My Granted ODs </a></li>
                                </ul>
                            {% endif %}

                        </li>
                    {% endif %}

                    {% if perms.curriculum.can_view_holidays %}

                        <li><a><i class="fa fa-smile-o"></i>Holidays<span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li><a href={% url 'list_holidays' %}>View Holidays</a></li>
                            </ul>
                        </li>
                    {% endif %}
                    {% if perms.accounts.can_approve_staffs or perms.accounts.can_approve_student or perms.accounts.can_allot_hod %}
                        <li><a><i class="fa fa-thumbs-o-up"></i>Approval<span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li><a href={% url 'approve' %}>Approve new users</a></li>
                                <li><a href={% url 'deapprove' %}>Disapprove existing users</a></li>
                            </ul>
                        </li>
                    {% endif %}
                    <!--
                    <li><a><i class="fa fa-envelope"></i>Messaging<span class="fa fa-chevron-down"></span></a>
                        <ul class="nav child_menu">
                            <li><a href={% url 'inbox' %}>Inbox</a></li>
                            <li><a href={% url 'sentbox' %}>Sentbox</a></li>
                            <li><a href={% url 'recyclebin' %}>Trash</a></li>
                        </ul>
                    </li>-->

                </ul>
            </div>

            {% if perms.marks.can_add_internal_marks or perms.curriculum.can_view_overall_reports %}
                <div class="menu_section">
                    <h3>MARKS</h3>
                    <ul class="nav side-menu">
                        {% if perms.marks.can_add_internal_marks or perms.curriculum.can_view_overall_reports %}


                            <li><a><i class="fa fa-mortar-board"></i>Internal Marks<span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    {% if perms.marks.can_add_internal_marks %}
                                        <li><a href={% url 'internal_marks' %}>Add internal marks</a></li>
                                        <li><a href={% url 'create_lab_pattern' %}>Set Lab Paper Pattern</a></li>
                                        <li><a href={% url 'add_lab_marks' %}>Add Lab Marks</a></li>
                                    {% endif %}
                                    {% if perms.curriculum.can_view_overall_reports %}
                                        <li><a href={% url 'overall_internals_report' %}>Internals report</a></li>
                                    {% endif %}
                                </ul>
                            </li>
                        {% endif %}
                        {% if perms.marks.can_add_internal_marks or perms.curriculum.can_view_overall_reports %}
                            <li><a><i class="fa fa-mortar-board"></i>Course Outcomes<span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    {% if perms.marks.can_add_internal_marks %}
                                        <li><a href={% url 'setCoPattern' %}>Set CO Pattern</a></li>
                                        <li><a href={% url 'addCoMarks' %}>Add CO Marks</a></li>
                                        <li><a href={% url 'setCoWeightage' %}>Set CO Weightage</a></li>
                                        <li><a href={% url 'coReports' %}>Co Reports</a></li>
                                    {% elif perms.curriculum.can_view_overall_reports %}
                                        <li><a href={% url 'coReports' %}>Co Reports</a></li>
                                    {% endif %}
                                </ul>
                            </li>
                        {% endif %}
                    </ul>


                </div>
            {% endif %}


            {% comment %}{% if perms.curriculum.can_allot_open_courses_staffs or perms.curriculum.can_create_timetable or perms.curriculum.can_allot_open_courses_staffs or perms.curriculum.can_allot_open_courses_staffs %}
                <div class="menu_section">
                    <h3>Next Semester Setup</h3>

                    <ul class="nav side-menu">
                        <li><a><i class="fa fa-user"></i>Course Plan<span
                                class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li><a href={% url 'prepare_elective_course_staffs' %}>Allot Elective Course
                                    Staffs</a>
                                </li>
                                <li><a href={% url 'prepare_one_credit_course_staffs' %}>Allot One Credit Course
                                    Staffs</a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            {% endif %}{% endcomment %}

            {% if perms.alumni.can_apply_alumini_scholarship or perms.accounts.can_approve_student or perms.accounts.can_approve_staffs or perms.accounts.can_allot_hod %}
            <div class="menu_section">
                    <h3> BONAFIDE</h3>
                    <ul class="nav side-menu">
                        {% if perms.accounts.can_approve_student or perms.accounts.can_approve_staffs or perms.accounts.can_allot_hod %}
                            <li><a><i class="fa fa-table"></i> Approve and proceed <span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                         {% if perms.accounts.can_approve_student %}
                                    <li><a href={% url 'apprFA' %}> By Faculty </a></li>
                         {% endif %}
                         {% if perms.accounts.can_approve_staffs %}
                                    <li><a href={% url 'apprHOD' %}> By HOD </a></li>
                         {% endif %}
                         {% if perms.accounts.can_allot_hod %}
                                    <li><a href={% url 'apprPrinc' %}> By Principal </a></li>
                         {% endif %}
                                </ul>
                            </li>
                        {% endif %}
                        {% if perms.alumni.can_download_bonafide_pdfs %}
                            <li><a><i class="fa fa-table"></i> View and Download <span
                                    class="fa fa-chevron-down"></span></a>
                                 <ul class="nav child_menu">
                                 
                        {% if perms.alumni.can_change_bonafide_format %}
                                 <li><a href="{% url 'view_bonafide_formats' %}">View Bonafide Formats</li>
                        {% endif %}
                                 </ul>
                            </li>
                        {% endif %}
                        {% if perms.alumni.can_apply_alumini_scholarship %}
                            <li><a><i class="fa fa-table"></i> Apply <span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href={% url 'applyBon' %}> Apply Bonafide </a></li>
                                </ul>
                            </li>
                        {% endif %}

                    </ul>
                </div>
            {% endif %}


            {% if perms.alumni.can_apply_alumini_scholarship or perms.alumni.can_process_alumini_scholarship %}
                <div class="menu_section">
                    <h3> ALUMNI</h3>
                    <ul class="nav side-menu">

                        {% if perms.alumni.can_apply_alumini_scholarship %}
                            <li><a><i class="fa fa-table"></i> Scholarship <span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href={% url 'apply_alumini_scholarship' %}> Apply Scholarship </a></li>
                                </ul>
                            </li>
                        {% endif %}
                        {% if perms.alumni.can_process_alumini_scholarship %}
                            <li><a><i class="fa fa-table"></i> Scholarship <span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href={% url 'view_applications' %}> View Applications </a></li>
                                    <li><a href={% url 'editWeightage' %}> Edit Weightage </a></li>
                                </ul>
                            </li>
                        {% endif %}

                    </ul>
                </div>
            {% endif %}

            {% if perms.accounts.can_view_profiles or perms.accounts.can_add_achievements %}
                <div class="menu_section">
                    <h3> Profiles </h3>
                    <ul class="nav side-menu">


                        <li><a><i class="fa fa-briefcase"></i> My Profile <span
                                class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                {% if perms.accounts.can_view_profiles %}
                                    <li><a href={% url 'addpapers' %}> Add Research Papers </a></li>
                                    <li><a href={% url 'addcourses' %}> Add my Courses </a></li>
                                {% endif %}
                                {% if perms.accounts.can_add_achievements %}
                                    <li><a href={% url 'add_achievements' %}> Add my Achievements </a></li>
                                {% endif %}
                            </ul>
                        </li>

                        {% if perms.accounts.can_view_profiles %}
                            <li><a><i class="fa fa-database"></i> Look-ups <span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href={% url 'lookupstaff' %}> Staff Look-up </a></li>
                                    <li><a href={% url 'lookupstudent' %}> Student Look-up </a></li>
                                    <li><a href={% url 'wholestudentslookup' %}> All Students Look-up </a></li>
                                    <li><a href={% url 'alumnistudentslookup' %}> Alumni Look-up </a></li>
                                </ul>
                            </li>
                        {% endif %}

                    </ul>
                </div>
            {% endif %}


            {% if perms.accounts.can_view_profiles %}
                <div class="menu_section">
                    <h3> System Lookups </h3>
                    <ul class="nav side-menu">

                        {% if perms.accounts.can_view_profiles %}
                            <li><a><i class="fa fa-table"></i> Past Records <span
                                    class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li>
                                        <a href={% url 'pastFeedbackReport' %}> Feedback </a>
                                    </li>
                                    <li>
                                        <a href={% url 'view_previous_timetable' %}> Timetable </a>
                                    </li>
                                    <li>
                                        <a href={% url 'pastCoMarksReport' %}> CO Marks </a>
                                    </li>
                                </ul>
                            </li>
                        {% endif %}

                    </ul>
                </div>
            {% endif %}


        </div>
        <!--
                <div class="sidebar-footer hidden-small">
                    <a data-toggle="tooltip" data-placement="top" title="Settings">
                        <span class="glyphicon glyphicon-cog" aria-hidden="true"></span>
                    </a>
                    <a data-toggle="tooltip" data-placement="top" title="FullScreen">
                        <span class="glyphicon glyphicon-fullscreen" aria-hidden="true"></span>
                    </a>
                    <a data-toggle="tooltip" data-placement="top" title="Lock">
                        <span class="glyphicon glyphicon-eye-close" aria-hidden="true"></span>
                    </a>
                    <a data-toggle="tooltip" data-placement="top" title="Logout">
                        <span class="glyphicon glyphicon-off" aria-hidden="true"></span>
                    </a>
                </div> -->
    </div>
</div>